---
title: math-style
slug: Web/CSS/math-style
tags:
  - CSS
  - MathML
  - Property
  - Reference
  - math-style
---
<p>{{MDNSidebar}}</p>

<p>The <code>math-style</code> property indicates whether MathML equations should render with normal or compact height.</p>

<h2 id="Syntax">Syntax</h2>

<pre class="brush: css notranslate">/* Keyword values */
math-style: normal;
math-style: compact;

/* Global values */
property: inherit;
property: initial;
property: unset;
</pre>

<h3 id="Values">Values</h3>

<dl>
 <dt><code>normal</code></dt>
 <dd>The initial value, indicates normal rendering.</dd>
 <dt><code>compact</code> </dt>
 <dd> The math layout on descendants tries to minimize the logical height.</dd>
</dl>

<h2 id="Formal_definition">Formal definition</h2>

<p>{{cssinfo}}</p>

<h2 id="Formal_syntax">Formal syntax</h2>

<pre class="syntaxbox notranslate">{{CSSSyntax}}</pre>

<h2 id="Examples">Examples</h2>

<h3 id="CSS">CSS</h3>

<pre class="notranslate"><em>math {
  math-style: compact;
}</em>
</pre>

<h2 id="Specifications">Specifications</h2>

<table>
 <thead>
  <tr>
   <th scope="col">Specification</th>
   <th scope="col">Status</th>
   <th scope="col">Comment</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName("MathMLCore", "#the-math-style-property", "math-style")}}</td>
   <td>{{Spec2("MathMLCore")}}</td>
   <td>Initial definition</td>
  </tr>
 </tbody>
</table>

<p>{{CSSInfo}}</p>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<div class="hidden">
<p><em>(See <a href="/Project:en/Compatibility_tables" title="Project:en/Compatibility_tables">Compatibility tables</a> for more information)</em></p>

<p>The compatibility table on this page is generated from structured data. If you'd like to contribute to the data, please check out <a href="https://github.com/mdn/browser-compat-data">https://github.com/mdn/browser-compat-data</a> and send us a pull request.</p>
</div>

<p>{{Compat("css.properties.math-style")}}</p>
